#include version.txt

varying vec2 Texcoord;
uniform sampler2D Texture;
uniform float zoom_factor;
uniform float alpha;
uniform float multiply;

void main(void) {

    vec2 coord = (Texcoord - vec2(0.5)) / zoom_factor;

    vec4 col = texture2D(Texture, coord + vec2(0.5)) * multiply;
    gl_FragColor = vec4(col.r, col.g, col.b, alpha);
}
